Begin MCP OAuth authorization
curl --request GET \
--url https://posted-api.example.com/oauth/authorizeimport requests
url = "https://posted-api.example.com/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://posted-api.example.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/oauth/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/oauth/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/oauth/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/oauth/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"error": "<string>",
"error_description": "<string>"
}Begin MCP OAuth authorization
Validates the client, exact redirect URI, MCP resource and S256 PKCE challenge, then redirects to Posted’s human consent flow. The human chooses the access level.
GET
/
oauth
/
authorize
Begin MCP OAuth authorization
curl --request GET \
--url https://posted-api.example.com/oauth/authorizeimport requests
url = "https://posted-api.example.com/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://posted-api.example.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/oauth/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/oauth/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/oauth/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/oauth/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"error": "<string>",
"error_description": "<string>"
}No signed-in session is required. Endpoint-specific tokens, setup secrets or challenges may still be required.
Validates the client, exact redirect URI, MCP resource and S256 PKCE challenge, then redirects to Posted’s human consent flow. The human chooses the access level.
Request conventions · API keys · MCP connections
Query Parameters
string
Allowed value:
"code"string
uri
string
string
Allowed value:
"S256"uri
string
string
Response
Redirect to the authorization, consent or UI destination.
Was this page helpful?
